#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    QLabel *lbl;
    QGraphicsView *gv;
    QGraphicsScene *gs;
    QGridLayout *mainLayout;
    QFileSystemModel *model;
    QTreeView *tree;
    QString path;
    QString selectpath;
    QStringList selects;

    bool isRaw;
    void keyPressEvent( QKeyEvent *e );
    void toggleSelect(QString imagepath);
    void saveSelects(void);
    void loadSelects(void);
    void loadImage(QString imagepath, bool doStar);
    QString getSelectPath(QString imagepath);
    QString getThumbnailPath(QString imagepath);

private slots:
    void changeCurrent(const QItemSelection & index, const QItemSelection & previous );

};

#endif // MAINWINDOW_H
